#include <cinttypes>

#include "Vapp.hpp"
#include "values/Dna.hpp"

#include <rlImGui.h>
#include <imgui.h>
#include <raylib.h>

void Vapp::init()
{
  sql::init();
  sql::open(DB_NAME, &db);
}

void Vapp::update()
{
}

void Vapp::draw()
{
  ClearBackground(RAYWHITE);

  ImGui::DockSpaceOverViewport(0, NULL, ImGuiDockNodeFlags_PassthruCentralNode);

  if (ImGui::BeginMainMenuBar())
  {
    if (ImGui::BeginMenu("Window"))
    {
      if (ImGui::MenuItem("Demo Window", nullptr, showDemoWindow))
        showDemoWindow = !showDemoWindow;

      ImGui::EndMenu();
    }
    ImGui::EndMainMenuBar();
  }

  if (showDemoWindow)
    ImGui::ShowDemoWindow(&showDemoWindow);
}

void Vapp::deinit()
{
  sql::close(db);
}
